Subject: issue 11

From: Yakov Rekhter <[email-masked]>
Date: Wed, 25 Sep 2002 08:30:57 -0700

11) Rules for routes from Loc-RIB to Adj-RIB-Out - Section 9.1
  ----------------------------------------------------------------------------
  Status: No Consensus
  Change: Potentially
  Summary: Variety of texts proposed to help clear up the rules for moving
   routes from Loc-RIB into Adj-RIB-Out.
  
  Discussion:
  
  The "Proxy: comments on section 9.1.3" thread brought up some lack of
  clarity in the section discussing the rules for which routes get propegated
  from the Loc-RIB into the Adj-RIB-Out.	These discussions resulted in
  a number of suggestions for new text.
  
  The first new text was proposed to clarify the issue that the thread
  first brought up:
  
  I agree that this could use some clarification. How about adding
  to b) in section 9.1:
  
    The Loc-RIB must contain only one route per destination; further, it
    must include all routes that the BGP speaker is using.
  
  changing c) in section 9.1.2 to:
  
    c) is selected as a result of the Phase 2 tie breaking rules specified
    in 9.1.2.2, or
  
  and adding
  
    d) when routing protocols other than BGP are in use, is determined by
    some other local means to be the route that will actually be used to
    reach a particular destination.
  
  This text was never discussed or a consensus formed on putting it in the
  document.
  
  This modification to 9.1.2 was also proposed to address the same concern:
  
  How about changing the paragraph after c) in 9.1.2 to:
  
    The local speaker SHALL then install that route in the Loc-RIB,
    replacing any route to the same destination that is currently being
    held in the Loc-RIB.	This route SHALL then also be installed in
    the BGP speakers forwarding table.
  
  There was one response in the negative to this change, arguing that is
  is not necessary.
  
Wrt "adding to b) in section 9.1", the second part (after ";") is
redundant as this point is already stated in 3.2. Wrt the first
point about Loc-RIB containing just one route per destination, I
would suggest to add it to section 3.2, where Loc-RIB is first
introduced, rather than adding it to 9.1.

Wrt "changing c)... and adding...", I have no objections to add/modify
the text, as suggested above.

I am not sure though that changing the paragraph after c) in 9.1.2
is really necessary though, so I would prefer to keep it as is. 

Yakov.

---

From: [email-masked]
Date: Fri, 27 Sep 2002 11:14:14 -0700

To take this discussion back to the text proposed in the original 9.1, do
we have consensus on Yakov's response?  Or is there more discussion on
this topic?

Andrew

On Wed, Sep 25, 2002 at 08:30:57AM -0700, Yakov Rekhter wrote:
> Delivered-To: [email-masked]
> Delivered-To: [email-masked]
> Delivered-To: [email-masked]
> To: [email-masked]
> Subject: issue 11
> Date: Wed, 25 Sep 2002 08:30:57 -0700
> From: Yakov Rekhter <[email-masked]>
> Precedence: bulk
> X-OriginalArrivalTime: 25 Sep 2002 15:33:33.0343 (UTC) FILETIME=[E83D9AF0:01C264A8]
>

---

From: [email-masked]
Date: Fri, 27 Sep 2002 11:14:14 -0700

Andrew